> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Budget

> Create a new budget.



## OpenAPI

````yaml /api/openapi-finindex.json post /api/v1/budget
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/budget:
    post:
      tags:
        - Budgets
      summary: Create Budget
      description: Create a new budget.
      operationId: create_budget_api_v1_budget_post
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BudgetCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BudgetResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BudgetCreate:
      properties:
        name:
          type: string
          title: Name
        budgetType:
          type: string
          title: Budgettype
        salesOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderid
        managementAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Managementaccountid
        amount:
          type: number
          title: Amount
        utilizedAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Utilizedamount
          default: 0
        periodStart:
          anyOf:
            - type: string
            - type: 'null'
          title: Periodstart
        periodEnd:
          anyOf:
            - type: string
            - type: 'null'
          title: Periodend
        refreshFrequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Refreshfrequency
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
      type: object
      required:
        - name
        - budgetType
        - amount
      title: BudgetCreate
    BudgetResponse:
      properties:
        id:
          type: string
          title: Id
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        name:
          type: string
          title: Name
        budgetType:
          type: string
          title: Budgettype
        salesOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderid
        managementAccountId:
          anyOf:
            - type: string
            - type: 'null'
          title: Managementaccountid
        amount:
          type: number
          title: Amount
        utilizedAmount:
          type: number
          title: Utilizedamount
        periodStart:
          anyOf:
            - type: string
            - type: 'null'
          title: Periodstart
        periodEnd:
          anyOf:
            - type: string
            - type: 'null'
          title: Periodend
        refreshFrequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Refreshfrequency
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        totalAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalamount
      type: object
      required:
        - id
        - name
        - budgetType
        - amount
        - utilizedAmount
      title: BudgetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````